Download it now!
Bug 130928 - Area Fill update presets
Summary: Area Fill update presets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Area-Fill-Tab Not-Localizable
  Show dependency treegraph
 
Reported: 2020-02-25 13:39 UTC by andreas_k
Modified: 2020-05-20 13:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Area Fill -> Gradient (159.12 KB, image/png)
2020-02-25 13:48 UTC, andreas_k
Details
Area Fill -> Bitmap (557.87 KB, image/png)
2020-02-25 13:53 UTC, andreas_k
Details
Area Fill -> Hatch (132.00 KB, image/png)
2020-02-25 13:57 UTC, andreas_k
Details
Area Fill -> Pattern (62.84 KB, image/png)
2020-03-02 16:15 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-02-25 13:39:15 UTC
With 6.1 the presets for Gradients and Bitmap get an update. With 7.0 I prefer to update the presets for Pattern and Hatch to.

LibO has no theme support so it's not usefull to have area fill options like MSO has where they have for "each" setting an preset in "all" different colors.

So the proposal (as we had in the past) is to show with the presets what's possible with LibO and the user can than change the colors, ... easy with the sidebar.
Comment 1 andreas_k 2020-02-25 13:48:27 UTC
Created attachment 158180 [details]
Area Fill -> Gradient

As this get with 6.1 already an update I don't remove any gradient that is available since 6.1.

Main goals:
- on top have monochrome presets (main rule for all area fill stuff)
- add blue, green, red, yellow gradients which are in use in Draw Styles (Shapes -> Filled -> Filled Blue, Green, Red, Yellow)
- blue is the new default for gradient which fit to the blue from color only (consistent default)
- with this additional presets, I add also some other presets the 6.1 are very blue orientated
- additional presets for the different Gradient tyles like square, quadratic, ... goal is to show all the different types.

what's not possible is to save different manual Increment presets. However all presets are designed that they will look good with 4, 6, 8 increment steps
Comment 2 andreas_k 2020-02-25 13:53:31 UTC
Created attachment 158181 [details]
Area Fill -> Bitmap

Main goals:
- on top have monochrome presets (white paper, gray concrete, brown paper)
- add additional presets like in Gradient there are 9 x 3 presets.
Comment 3 andreas_k 2020-02-25 13:57:16 UTC
Created attachment 158182 [details]
Area Fill -> Hatch

Main goals:
- on top have monochrome presets (black)
- Show different Types of hatch
- at least 5 x 3 presets after black with the different colors from the standard color plate

open: useful presets for spacing (inch, mm, ...)
it's not possible to save the background color for an preset, however.
Comment 4 andreas_k 2020-02-25 13:59:35 UTC
In Area -> Pattern there are 54 presets, I'd like to reduce them a bit and will have a look at CAD apps to check which pattern are there defined.
Comment 5 Heiko Tietze 2020-02-25 14:19:44 UTC
I disagree with more gradients, as it leads to unnecessary scrolling, and don't see need to change what we did recently. Pastel is on top for a good reason, many grey gradients are likely not used - and the dialog is meant to define own artwork. The same is true for bitmaps.

(In reply to andreas_k from comment #0)
> update the presets for Pattern and Hatch

That's okay, +1.
Comment 6 Roman Kuznetsov 2020-02-25 16:54:46 UTC
Yellow hatching isn't a good idea and very fine hatching too

Bitmap is fine for me
Comment 7 andreas_k 2020-03-02 16:15:39 UTC
Created attachment 158317 [details]
Area Fill -> Pattern

the proposal for Area Fill -> Pattern update also 3 x 9 rows. 

Vertical and horizontal line pattern were removed as preset cause they are available via hatch and you can draw them easy yourself. 

Point presets (%) are available from 5 % to 50 % cause > 50 % is the same than < 50 % with opposit foreground/background color.
Comment 8 Heiko Tietze 2020-03-02 16:47:20 UTC
Can we limit the number of presets to 3x5 so by default no scrolling is necessary? Don't see much need for that many patterns.
Comment 9 andreas_k 2020-03-03 07:37:49 UTC
(In reply to Heiko Tietze from comment #8)
> Can we limit the number of presets to 3x5 so by default no scrolling is
> necessary? Don't see much need for that many patterns.

In general I could shrink the presets in each area fill section to 3x5, but I prefer 3x9.

I understood that the UI is cleaner when you have less presets, but if you look at MSO they have way more presets in each area.

I also understood that if the user add an user specific preset (which is easy possible in area fill) it's better to have less presets, but than I would recommend 3x4 presets and the last row is available for user specific presets cause for me it's always strange to add an user specific preset and didn't see it cause you have to scroll down the list.

So I'm for 3x9 presets OR 3x4 + an link to the extension webpage where you have additional presets available (I can upload an extension for each area fill section).
Comment 10 Heiko Tietze 2020-03-03 08:10:02 UTC
(In reply to andreas_k from comment #9)
> would recommend 3x4 presets and the last row is available for user specific
> presets cause for me it's always strange to add an user specific preset and
> didn't see it cause you have to scroll down the list.

Good point, works also with 3x4+2. But at some point you have to scroll for the new items anyway.
Comment 11 andreas_k 2020-03-03 16:15:25 UTC
QT and windows show always the scrollbar also if you have less than 5 rows and GTK show the scrollbar when hover, so if there are more than 5 rows as preset the scrollbar is correct ;-)
Comment 12 andreas_k 2020-03-04 20:42:35 UTC
fyi I found out that you can delete ab preset gradient, bitmap, hatch, pattern with right click menu. So if an user want less presets, it can be done easy.
Comment 13 Heiko Tietze 2020-03-05 07:07:52 UTC
We discussed this topic in the design meeting. 

While the number of gradients is excessive right now and makes it difficult to pick the right item, it's a different topic for patterns. And the argument counts that creation of patterns is a bit cumbersome. So go with this change.

Still -1 to change gradients and bitmaps.
Comment 14 andreas_k 2020-03-05 23:09:32 UTC
thanks for the bug feedback. My conclusio is to have in all area fill tabs 3x5 presets. Patches for pattern and hatch will come.

In addition I will upload the old pattern and hatch presets to the extension page.

And cause I did investigate a lot of time into make useful presets I will make an extension with 3x9 presets in all area fill tabs.

So finally I hope I can make everybody happy.
Comment 15 Thomas Lendo 2020-03-06 01:19:32 UTC
I'm a fan of more than less presets as users usually don't want (because afraid) or know how to do it. So it's better to have many good presets.

Maybe the last row of every preset is not full to give a hint that there can be added something by the user?
Comment 16 Commit Notification 2020-03-06 09:19:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e518d660863448924f6bb6d2a4f57d9d856c624

tdf#130928 Area Fill update bitmap preset arrangement nothing more

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-03-06 09:19:49 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/30a6e9e991fd1b62ead2d393331a0364372c52fb

tdf#130928 Area Fill update hatcch section

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-03-06 09:21:11 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3bd487c578f780cb41dd5efa128248edf1a10157

tdf#130928 Area fill update pattern

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Mihkel Tõnnov 2020-05-19 20:55:42 UTC
I was about to submit a bug report about most of the old/familiar pattern styles being missing when I found this here BR. The new hatch styles look nice, though - thanks.

However, it seems the work is incomplete:
* Names of newly added hatch styles are untranslatable
* References to old hatch & pattern styles haven't been removed from the code, meaning they are still among the translatable strings on Weblate.

Also, has the mentioned extension with the old pattern styles been uploaded anywhere? I couldn't find it on the extensions site.
Comment 20 andreas_k 2020-05-20 04:54:33 UTC
The extension was submitted to the extension page around 8 weeks ago. There is no review since then at the extension page.
Comment 21 Heiko Tietze 2020-05-20 13:47:10 UTC
(In reply to andreas_k from comment #20)
> The extension was submitted to the extension page around 8 weeks ago.

Admin did last night, please recheck.